--
--  お勧め
--      t_recommend
--

CREATE TABLE t_recommend
(
    ItemCd integer NOT NULL,        -- PriKey
    StartDate date,
    CloseDate date,
    Priority integer,

    DelFlg boolean,
    AddDate timestamp without time zone,
    UpdDate timestamp without time zone,
    UpdUsrNm character varying(60),
    UpdPcNm character varying(60),
    UpdCnt integer,

    PRIMARY KEY(ItemCd)
);


-- トリガ
CREATE TRIGGER trigger_master_stamp
  BEFORE INSERT OR UPDATE
  ON t_recommend
  FOR EACH ROW
  EXECUTE PROCEDURE g_master_stamp();
